#!/bin/sh

docker image build -t wheel_builder . -f Dockerfile.build_wh
# remove hash from pip_reqs as those are from our build, and use bitbucket version of py3o.renderers.juno
# TODO change that pyf are build from bitbucket
sed -e 's/--hash.*//g' -e 's\py3o.renderers.juno==.*\hg+https://bitbucket.org/faide/py3o.renderers.juno@b67493f39b791043fc7d06f426b38296775311e2#egg=py3o.renderers.juno\' files/usr/src/pip_reqs.txt > pip_reqs.txt
docker run --rm --volume $PWD:/mnt wheel_builder pip wheel --wheel-dir=/mnt/18.04/py3o.renderserver -r /mnt/pip_reqs.txt
rm pip_reqs.txt
# TODO find a way to add hashes of built wheels into the file
